function []=allplotsfindk(parent)
%%This version uses silhouette entropy!
x=[1:1:size(parent.findk.indices,1)];
figure('Name','Find k: Analysis'), subplot(4,1,1); hold on; title('Silhouette Analysis'); ylabel('Silh.');
for n=1:size(parent.findk,2)
    [ax,h1,h2]=plotyy(x,mean(parent.findk.means'),x,100*std(parent.findk.means')./mean(parent.findk.means'));
    h1.LineWidth=2;
    set(gca,'XTickLabel','');
    h2.LineWidth=2;
    h2.LineStyle='--';
    h1.YData(1)=NaN;
    h2.YData(1)=NaN;
    box(ax(1),'off');
    box(ax(2),'off');
end
ylabel(ax(2),'RSD');
xlim(ax(1),[2 size(parent.findk.indices,1)]);
xlim(ax(2),[2 size(parent.findk.indices,1)]);
ylim(ax(1),[-inf inf]);
ylim(ax(2),[-inf inf]);

subplot(4,1,2); hold on; ylabel('H_S');
for n=1:size(parent.findk,2)
    J=size(parent.data,1);
    L=round(J*(parent.findk(n).name/100));
    N=x.^(size(parent.findk(n).indices,2)/size(parent.findk(n).entr,2));
    %[ax,h1,h2]=plotyy(x,mean(parent.findk(n).entr'),x,100*std(parent.findk(n).entr')./mean(parent.findk(n).entr',x,mean(parent.findk(n).sent')));
    [ax,h1,h2]=plotyy(x,(mean(parent.findk(n).sent')),x,(mean(parent.findk(n).entr')));
    %mean(parent.findk(n).entr')./log((x.^(size(parent.findk(n).indices,2)/size(parent.findk(n).entr,2)))./L)
    %mean(parent.findk(n).entr')./log((x.^(size(parent.findk(n).indices,2))/size(parent.findk(n).entr,2))./L)
    h1.LineWidth=2;
    h2.LineWidth=2;
    h2.LineStyle='--';
    h1.YData(1)=NaN;
    h2.YData(1)=NaN;
    box(ax(1),'off');
    box(ax(2),'off');
    set(gca,'XTickLabel','');
end
ylabel(ax(2),'H_R');
xlim(ax(1),[2 size(parent.findk(n).indices,1)]);
xlim(ax(2),[2 size(parent.findk(n).indices,1)]);
ylim(ax(1),[-inf inf]);
ylim(ax(2),[-inf inf]);
    set(ax(1),'YTickLabel','');
    set(ax(2),'YTickLabel','');

subplot(4,1,3); hold on; ylabel('Q'); 
for n=1:size(parent.findk,2)
    [ax,h1,h2]=plotyy(x,mean(parent.findk(n).quotients'),x,100*std(parent.findk(n).quotients')./mean(parent.findk(n).quotients'));
    h1.LineWidth=2;
    h2.LineWidth=2;
    h1.YData(1)=NaN;
    h2.YData(1)=NaN;
    h2.LineStyle='--';
    box(ax(1),'off');
    box(ax(2),'off'); 
    set(gca,'XTickLabel','');

end
ylabel(ax(2),'RSD');
xlim(ax(1),[2 size(parent.findk(n).indices,1)]);
xlim(ax(2),[2 size(parent.findk(n).indices,1)]);
ylim(ax(1),[-inf inf]);
ylim(ax(2),[-inf inf]);

subplot(4,1,4); hold on;  xlabel('k'); ylabel('$\dot{S}$','Interpreter','latex'); 
for n=1:size(parent.findk,2)
    J=size(parent.data,1);
    L=round(J*(parent.findk(n).name/100));
    N=x.^(size(parent.findk(n).indices,2)/size(parent.findk(n).entr,2));
    %h=plot(x,(mean(parent.findk.means')-(1*std(parent.findk(n).means'))).*(2-mean(parent.findk.entr')));
    h=plot(x,(mean(parent.findk.means')-std(parent.findk.means'))./(mean(parent.findk(n).sent')));
    h.LineWidth=2;
    h1.YData(1)=NaN;
    h2.YData(1)=NaN;
    h.LineStyle='-';
    h.Color=[0.8 0 1];
    box('off');
    box(ax(2),'off'); 
end
xlim([2 size(parent.findk(n).indices,1)]);
ylim([-inf inf]);
end